Bug 142714 - Web Inspector: Breakpoint icons should not get pushed off of debugger sidebar due to long resource names
Summary: Web Inspector: Breakpoint icons should not get pushed off of debugger sidebar...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: jonowells
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-03-15 17:30 PDT by Joseph Pecoraro
Modified: 2015-04-16 19:11 PDT (History)
9 users (show)

See Also:


Attachments
[IMAGE] Issue - Breakpoints pushed off sidebar (115.06 KB, image/png)
2015-03-15 17:30 PDT, Joseph Pecoraro
no flags Details
[PATCH] style fix. (3.24 KB, patch)
2015-04-15 23:16 PDT, jonowells
no flags Details | Formatted Diff | Diff
[IMAGE] Fixed. (461.14 KB, image/png)
2015-04-15 23:25 PDT, jonowells
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2015-03-15 17:30:08 PDT
Created attachment 248692 [details]
[IMAGE] Issue - Breakpoints pushed off sidebar

* SUMMARY
Breakpoint icons should not get pushed off of debugger sidebar due to long resource names. See attached screenshot.
Comment 1 Radar WebKit Bug Importer 2015-03-15 17:30:28 PDT
<rdar://problem/20168053>
Comment 2 Timothy Hatcher 2015-04-09 13:47:06 PDT
It looks like there is some min-width forcing the TreeOutline to stop shirnking as the sidebar gets too small. You can see this if you start at a large width and resize smaller.
Comment 3 jonowells 2015-04-15 23:16:13 PDT
Created attachment 250901 [details]
[PATCH] style fix.
Comment 4 jonowells 2015-04-15 23:25:08 PDT
Created attachment 250903 [details]
[IMAGE] Fixed.
Comment 5 Brian Burg 2015-04-16 08:28:09 PDT
Comment on attachment 250901 [details]
[PATCH] style fix.

The debugger sidebar has 3 details section. Have you tested the other two (pause reason and call stack)?
Comment 6 Timothy Hatcher 2015-04-16 10:31:00 PDT
Comment on attachment 250901 [details]
[PATCH] style fix.

View in context: https://bugs.webkit.org/attachment.cgi?id=250901&action=review

> Source/WebInspectorUI/UserInterface/Views/DebuggerSidebarPanel.css:76
> +.sidebar > .panel.navigation.debugger .details-section.scripts.collapsed > .content {
> +    display: block;
> +}

Why is this one here? If the details section is collapsed, content should be display: none. Like it is for .sidebar > .panel.navigation.debugger .details-section.collapsed > .content.
Comment 7 jonowells 2015-04-16 17:27:53 PDT
(In reply to comment #5)
> Comment on attachment 250901 [details]
> [PATCH] style fix.
> 
> The debugger sidebar has 3 details section. Have you tested the other two
> (pause reason and call stack)?

I have, and made sure collapsing and expanding each section worked properly. Everything looks as it should.
Comment 8 jonowells 2015-04-16 17:30:52 PDT
(In reply to comment #6)
> Comment on attachment 250901 [details]
> [PATCH] style fix.
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=250901&action=review
> 
> > Source/WebInspectorUI/UserInterface/Views/DebuggerSidebarPanel.css:76
> > +.sidebar > .panel.navigation.debugger .details-section.scripts.collapsed > .content {
> > +    display: block;
> > +}
> 
> Why is this one here? If the details section is collapsed, content should be
> display: none. Like it is for .sidebar > .panel.navigation.debugger
> .details-section.collapsed > .content.

When the debugger is not paused, we now only show the scripts .content div and we hide its header. So we never want it to be collapsed unless the debugger is paused. Otherwise a user might collapse the scripts panel, then resume the debugger, and suddenly there is nothing to see, no scripts, and no way to expand the scripts.
Comment 9 WebKit Commit Bot 2015-04-16 19:11:03 PDT
Comment on attachment 250901 [details]
[PATCH] style fix.

Clearing flags on attachment: 250901

Committed r182939: <http://trac.webkit.org/changeset/182939>
Comment 10 WebKit Commit Bot 2015-04-16 19:11:08 PDT
All reviewed patches have been landed.  Closing bug.